Logo Site EngageLab Mark Colored Transparent文件
搜尋

應用 VIP 狀態查詢 API

此 API 用於查詢目前應用的 VIP 狀態和 VIP 到期時間,支援 AppPush 和 WebPush。

註: 資料中心和產品類型由請求網域或 URL 路由決定,不需要在請求參數中額外傳入。

註: AppKey 透過 REST API 的 Basic Auth 鑑權資訊攜帶,不需要在 Query 或 Body 中額外傳入。

調用驗證

更多詳情請參考 REST API 概述中的鑑權方式

查詢應用 VIP 狀態

調用地址

GET v4/app/vip/status
              
              GET v4/app/vip/status

            
此代碼塊在浮窗中顯示

請求示例

請求報頭

GET /v4/app/vip/status Authorization: Basic (base64 auth string) Content-Type: application/json
              
              GET /v4/app/vip/status
Authorization: Basic (base64 auth string)
Content-Type: application/json

            
此代碼塊在浮窗中顯示

請求參數

無。

回應示例

成功回應

HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8
              
              HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

            
此代碼塊在浮窗中顯示
{ "vip_status": 1, "vip_end_time": 1775059200 }
              
              {
    "vip_status": 1,
    "vip_end_time": 1775059200
}

            
此代碼塊在浮窗中顯示

回應參數說明

欄位 類型 說明
vip_status int VIP 狀態。0 表示免費試用,1 表示付費使用中,2 表示待補繳可用,-1 表示免費到期,-2 表示付費到期,-3 表示帳單待補繳不可用。
vip_end_time int64 VIP 到期時間,Unix 秒級時間戳。

失敗回應

HTTP/1.1 401 Unauthorized Content-Type: application/json; charset=utf-8
              
              HTTP/1.1 401 Unauthorized
Content-Type: application/json; charset=utf-8

            
此代碼塊在浮窗中顯示
{ "error": { "code": 21004, "message": "basic auth failed" } }
              
              {
    "error": {
        "code": 21004,
        "message": "basic auth failed"
    }
}

            
此代碼塊在浮窗中顯示

錯誤碼

Code HTTP 描述 Error Message 詳細解釋
21004 401 鑑權失敗 basic auth failed AppKey、MasterSecret 不匹配,或未提供 Basic Auth 鑑權資訊。
21008 400 請求參數錯誤 app_key is not a 24 size string Basic Auth 中的 AppKey 長度不是 24 位。
21030 503 系統內部錯誤,建議稍後重試 Server response time out, please try again later 內部服務回應逾時。
27000 500 系統內部錯誤 Server inner err 內部服務調用失敗或發生未預期錯誤。
27001 401 鑑權資訊無效 app_key does not exist or basic info is invalid Basic Auth 中的 AppKey 長度合法但應用不存在,或應用基礎鑑權資訊無效。
Icon Solid Transparent White Qiyu
聯繫銷售